PYTHON-MKDEBIAN(1)

NAME
python-mkdebian - Generate a suitable Debian source package for a standard distutils application

SYNOPSIS
python-mkdebian [options]

DESCRIPTION
This script generates a reasonably Debian Policy compliant Debian source package for a Python application that uses distutils properly. It assumes that there are no public Python modules, and generates just a single application binary package. Information is taken from setup.py's generated .egg-info file: author, project name, description, version, upstream source, license, and required and provided Python modules (which are translated to Debian python library package names, and automatically added as package dependencies). It generates a simple cdbs/python-support rules file. python-mkdebian was designed to be used with the DistUtilsExtra.auto module, which calculates required Python dependencies automatically. However, it makes no explicit assumptions about DistUtilsExtra, so if setup.py has complete information it will work with any distutils setup.

OPTIONS

--force-control=FORCE_CONTROL
    Force control file behaviour. Can be one of "none" (keep unchanged), "deps" (only update dependencies), or "full" (recreate whole file). By default only dependencies will be updated ("deps").

--force-copyright
    Force whole copyright file to be recreated. By default it will not touch an already existing copyright file, so that you can customize them.

--force-rules
    Force whole rules file to be recreated. By default it will not touch an already existing rules file, so that you can customize them.

--changelog=CHANGELOG
    Add changelog entry to debian/changelog (can be specified multiple times)

--dependency=PACKAGENAME
    Add additional debian package dependency (can be specified multiple times)

--prefix=PREFIX
    Ask for installing all your modules in the dedicated PREFIX (default is /usr)

--version
    Show program's version number and exit

-h, --help
    Show this help message and exit

SEE ALSO
Python help for the distutils module

AUTHOR
python-mkdebian is developed by Martin Pitt <martin.pitt@ubuntu.com>.